@echo off

set FILE_PATH=HW_FW_DESC\
set FW_PROGRAM_TOOL=P2pdRomProgram-DLL_v5.0.17.0
set SKIP_CHECK_MD5=TRUE
set FORCEPROGRAMROM=FALSE

cd %FILE_PATH%


echo === Programing Firmware to ROM ==================

echo.-------------------------------------------->>log.txt
echo Logged time = %time% %date%>> log.txt

SET /A i = 0 
SET /A j = 0 
SET /A k = 0 
SET /A l = 0 


:PROGRAM1 

set ROM_FILE=SPI_25L12835F.cfg
set BUS_TYPE=EP0
set DMA_ROM_ADDR_BASE=0
set SKIP_CHECK_MD5=TRUE
set REBOOT=FALSE

%FW_PROGRAM_TOOL%.exe B GUD3C04-Port1_SPI_V05.bin %ROM_FILE% %BUS_TYPE% %DMA_ROM_ADDR_BASE% %SKIP_CHECK_MD5% %REBOOT% %FORCEPROGRAMROM%

IF ERRORLEVEL 1638 GOTO NG0
IF %ERRORLEVEL%  NEQ 1 GOTO FAIL1


%FW_PROGRAM_TOOL%.exe  REBOOT EP0

TIMEOUT 10


:PROGRAM2 

color 07
set ROM_FILE=MTP_ROM.cfg
set BUS_TYPE=I2C_C0
set DMA_ROM_ADDR_BASE=0XC000
set SKIP_CHECK_MD5=TRUE
set REBOOT=FALSE


%FW_PROGRAM_TOOL%.exe B GUD3C04-Port2_MTP_V01.bin %ROM_FILE% %BUS_TYPE% %DMA_ROM_ADDR_BASE% %SKIP_CHECK_MD5% %REBOOT% %FORCEPROGRAMROM%

IF ERRORLEVEL 1638 GOTO NG1
IF %ERRORLEVEL%  NEQ 1 GOTO FAIL2

TIMEOUT 5



:PROGRAM4 
color 07
set BUS_TYPE=I2C_C8
set ROM_FILE=MTP_ROM.cfg
set DMA_ROM_ADDR_BASE=0xC000
set SKIP_CHECK_MD5=TRUE
set REBOOT=FALSE

%FW_PROGRAM_TOOL%.exe B GUD3C04-Port3_MTP_V01.bin %ROM_FILE% %BUS_TYPE% %DMA_ROM_ADDR_BASE% %SKIP_CHECK_MD5% %REBOOT% %FORCEPROGRAMROM%

IF ERRORLEVEL 1638 GOTO NG3
IF %ERRORLEVEL%  NEQ 1 GOTO FAIL4

TIMEOUT 5


:PROGRAM3 

color 07
set ROM_FILE=SPI_25L12835F.cfg
set BUS_TYPE=I2C_C8
set DMA_ROM_ADDR_BASE=0
set SKIP_CHECK_MD5=TRUE
set REBOOT=FALSE


%FW_PROGRAM_TOOL%.exe B GUD3C04-Port3_SPI_V04.bin %ROM_FILE% %BUS_TYPE% %DMA_ROM_ADDR_BASE% %SKIP_CHECK_MD5% %REBOOT% %FORCEPROGRAMROM%

IF ERRORLEVEL 1638 GOTO NG2
IF %ERRORLEVEL%  NEQ 1 GOTO FAIL3

%FW_PROGRAM_TOOL%.exe  REBOOT EP0

GOTO PASS_0



:FAIL1
echo FAIL INDEX is %i% , BUS_TYPE is  %BUS_TYPE%>>log.txt 

SET /a i=%i%+1 

IF %i%==8 GOTO END0 

TIMEOUT 10

GOTO PROGRAM1


:FAIL2
echo FAIL INDEX is %j% , BUS_TYPE is  %BUS_TYPE%>>log.txt 

SET /a j=%j%+1 

IF %j%==8 GOTO END0 

TIMEOUT 5

GOTO PROGRAM2

:FAIL3
echo FAIL INDEX is %k% , BUS_TYPE is  %BUS_TYPE%>>log.txt 

SET /a k=%k%+1 

IF %k%==8 GOTO END0 

TIMEOUT 5

GOTO PROGRAM3


:FAIL4
echo FAIL INDEX is %l% , BUS_TYPE is  %BUS_TYPE%>>log.txt 

SET /a l=%l%+1 

IF %l%==8 GOTO END0 

TIMEOUT 5

GOTO PROGRAM4



:PASS_0

TIMEOUT 10

@echo off

color 0A
@echo ========================================================================
@echo       *******            *             *******         *******
@echo     ***********         ***           **     **       **     **    
@echo     **         **      ** **         **       **     **       **
@echo     **         **     **   **        **              **
@echo     **         **    **     **        **              **
@echo     ************    **       **        **              **
@echo     **             *************        *********       *********
@echo     **            **           **               **              **
@echo     **           **             **     **        **    **        **
@echo     **          **               **     **      **      **      **
@echo     **         **                 **     ********        ********
@echo ========================================================================

echo FW update is PASS! >>log.txt
set batPath =%~dp0HW_FW_DESC\

for /f "skip=1 tokens=2 delims==" %%i in (
  'wmic datafile where "name='%batPath :\=\\%P2pdRomProgram-DLL_v5.0.16.0.exe'" get Version /format:list'
) do for /f "delims=" %%v in ("%%i") do set "version=%%v"

echo The Program ROM AP Version is %version%>>log.txt 

cd ..

GOTO VER_Check


:END0

color 0C
@echo ========================================================================
@echo     ************          *               ***       ***
@echo     ************         ***              ***       ***
@echo     **                  ** **                       ***
@echo     **                 **   **            ***       ***
@echo     ************      **     **           ***       ***
@echo     ************     **       **          ***       ***
@echo     **              *************         ***       ***
@echo     **             **           **        ***       ***
@echo     **            **             **       ***       ***
@echo     **           **               **      ***       ***
@echo     **          **                 **     ***       *************
@echo     **         **                   **    ***       *************
@echo ========================================================================
@echo Please check the log file for detail !!

echo FW update is FAIL! >>log.txt

set batPath =%~dp0HW_FW_DESC\

for /f "skip=1 tokens=2 delims==" %%i in (
  'wmic datafile where "name='%batPath :\=\\%P2pdRomProgram-DLL_v5.0.16.0.exe'" get Version /format:list'
) do for /f "delims=" %%v in ("%%i") do set "version=%%v"

echo The Program ROM AP Version is %version%>>log.txt 

cd ..

pause

exit


:NG0
color 0B
@echo ============================================================================================
@echo It didn't need to do PD FW update for port#1, due to it's the same version on the PCBA now !
@echo ============================================================================================
echo Without need to do PD FW update for Port#1 >>log.txt

GOTO PROGRAM2


:NG1
color 0B
@echo ============================================================================================
@echo It didn't need to do PD FW update for port#2, due to it's the same version on the PCBA now !
@echo ============================================================================================
echo Without need to do PD FW update for Port#2 >>log.txt

GOTO PROGRAM4



:NG3
color 0B
@echo ============================================================================================
@echo It didn't need to do PD FW update for port#4, due to it's the same version on the PCBA now !
@echo ============================================================================================
echo Without need to do PD FW update for Port#4 >>log.txt

GOTO PROGRAM3



:NG2
color 0B
@echo ============================================================================================
@echo It didn't need to do PD FW update for port#3, due to it's the same version on the PCBA now !
@echo ============================================================================================
echo Without need to do PD FW update for Port#3 >>log.txt

@echo ========================================================================
@echo       *******            *             *******         *******
@echo     ***********         ***           **     **       **     **    
@echo     **         **      ** **         **       **     **       **
@echo     **         **     **   **        **              **
@echo     **         **    **     **        **              **
@echo     ************    **       **        **              **
@echo     **             *************        *********       *********
@echo     **            **           **               **              **
@echo     **           **             **     **        **    **        **
@echo     **          **               **     **      **      **      **
@echo     **         **                 **     ********        ********
@echo ========================================================================

set batPath =%~dp0HW_FW_DESC\

for /f "skip=1 tokens=2 delims==" %%i in (
  'wmic datafile where "name='%batPath :\=\\%P2pdRomProgram-DLL_v5.0.16.0.exe'" get Version /format:list'
) do for /f "delims=" %%v in ("%%i") do set "version=%%v"

echo The Program ROM AP Version is %version%>>log.txt

cd ..


:VER_Check

@echo ==================Port# PD FW Version List =============================

@echo Port#1 SPI FW version:(10_1_5_0_1_0)

set ROM_FILE=SPI_25L12835F.cfg
set FILE_PATH=HW_FW_DESC\
set FW_PROGRAM_TOOL=P2pdRomProgram-DLL_v5.0.17.0
set BUS_TYPE=EP0
set DMA_ROM_ADDR_BASE=0
set SKIP_CHECK_MD5=TRUE
set REBOOT=TRUE

cd %FILE_PATH%

%FW_PROGRAM_TOOL%.exe FAEVER %ROM_FILE% %BUS_TYPE% 

cd ..
@echo --------------------------------------------------------------------
@echo Port#2 MTP FW version:(10_1_1_0_2_0)

set ROM_FILE=MTP_ROM.cfg
set FILE_PATH=HW_FW_DESC\
set FW_PROGRAM_TOOL=P2pdRomProgram-DLL_v5.0.17.0
set BUS_TYPE=I2C_C0
set DMA_ROM_ADDR_BASE=0
set SKIP_CHECK_MD5=TRUE
set REBOOT=TRUE

cd %FILE_PATH%

%FW_PROGRAM_TOOL%.exe FAEVER %ROM_FILE% %BUS_TYPE% 

cd ..

@echo --------------------------------------------------------------------
@echo Port#3 MTP FW version:(10_1_1_0_4_0)

set ROM_FILE=MTP_ROM.cfg
set FILE_PATH=HW_FW_DESC\
set FW_PROGRAM_TOOL=P2pdRomProgram-DLL_v5.0.17.0
set BUS_TYPE=I2C_C8
set DMA_ROM_ADDR_BASE=0
set SKIP_CHECK_MD5=TRUE
set REBOOT=TRUE

cd %FILE_PATH%

%FW_PROGRAM_TOOL%.exe FAEVER %ROM_FILE% %BUS_TYPE% 

cd ..

@echo --------------------------------------------------------------------
@echo Port#3 SPI FW version:(10_1_4_0_3_0)

set ROM_FILE=SPI_25L12835F.cfg
set FILE_PATH=HW_FW_DESC\
set FW_PROGRAM_TOOL=P2pdRomProgram-DLL_v5.0.17.0
set BUS_TYPE=I2C_C8
set DMA_ROM_ADDR_BASE=0
set SKIP_CHECK_MD5=TRUE
set REBOOT=TRUE

cd %FILE_PATH%

%FW_PROGRAM_TOOL%.exe FAEVER %ROM_FILE% %BUS_TYPE% 
@echo ======================================================================

cd ..

pause

exit

